[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# SigSuspend

Set signal mask and suspend process till signal is received

## Declaration

Source position: oldlinux.pp line 1483

`procedure SigSuspend(`
`Mask: SigSet`
`);`

## Description

SigSuspend temporarily replaces the signal mask for the process with the one given in Mask, and then suspends the process until a signal is received.

## Errors

None

## See also

SigAction |  | Install signal handler
SigProcMask |  | Set list of blocked signals
SigPending |  | Return set of currently pending signals
Signal |  | Install signal handler (deprecated)
Kill |  | Send a signal to a process

Documentation generated on: Feb 26 2014